POST
/v1/mgmt/fga/authzen/access/v1/search/action

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

subject*object
resource*object
context?object

Return the actions the subject may perform on the given resource (OpenID AuthZEN Action Search API).

curl -X POST "https://api.descope.com/v1/mgmt/fga/authzen/access/v1/search/action" \  -H "Content-Type: application/json" \  -d '{    "subject": {      "type": "string"    },    "resource": {      "type": "string"    }  }'
{  "results": [    {      "name": "string"    }  ]}
export interface Response {results?: AuthZenAction[]}export interface AuthZenAction {name: string}
Was this helpful?